// DynamicToolBarView.h : interface of the CDynamicToolBarView class
//


#pragma once


class CDynamicToolBarView : public CView
{
protected: // create from serialization only
	CDynamicToolBarView();
	DECLARE_DYNCREATE(CDynamicToolBarView)

// Attributes
public:
	CDynamicToolBarDoc* GetDocument() const;

// Operations
public:

// Overrides
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementation
public:
	virtual ~CDynamicToolBarView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in DynamicToolBarView.cpp
inline CDynamicToolBarDoc* CDynamicToolBarView::GetDocument() const
   { return reinterpret_cast<CDynamicToolBarDoc*>(m_pDocument); }
#endif

